Xamarin

Google Play Android 10 Gereksinimleri için Uygulama Hazırlama

Kuzey Yarımküre için Yaz geldi! Bu, uygulamalarınızı yayınlamak söz konusu olduğunda Google Play’e gelen bazı yeni gereksinimler olduğu anlamına gelir. Yıllar geçtikçe, yeni uygulamalar yayınlama gereksinimlerinde birkaç güncelleme yapılmıştır. Google Play güncellemelerinin yanı sıra. Bu yıl, tüm mesele uygulamanızı Android 10’u (API 29) hedefleyecek şekilde güncellemekten ibaret Aşağıda, tüm geliştiricilerin doldurması gereken önemli tarihler bulunmaktadır.

Android 10 Gereksinim Tarihleri:

  • 3 Ağustos 2020 – Yeni uygulamalar Android 10’u (API 29) hedeflemelidir.
  • 2 Kasım 2020 – Tüm uygulamalar ve uygulama güncellemeleri Android 10’u (API 29) hedeflemelidir.
Android Hedef düzey API'lerini temsil eden 4 kutunun resmi

Android Hedef düzey API’lerini temsil eden 4 kutunun resmi

Bugün, mevcut Android uygulamanızı tamamen uyumlu olacak şekilde yükseltmemize izin verin.

Hedefi Derleyin

İlk adım, projelerinizin mülklerine gitmek ve Derleme Hedefini Android 10 (API 29) olarak ayarlamaktır. Bu, Visual Studio’ya Android uygulamanızı API 29’a göre derlemesini ve bu sürümde bulunan erişim API’lerine izin vermesini söyler. Bu, kullanıcılarınızın ihtiyaç duyduğu minimum Android sürümünü etkilemez.

API 29'a ayarlanan Derleme Hedefi için açılır listeyi gösteren Visual Studio Android proje ayarları

API 29’a ayarlanan Derleme Hedefi için açılır listeyi gösteren Visual Studio Android proje ayarları

API 29 SDK kurulu değilse, * by API 29 göreceksiniz. Seçildiğinde, SDK’yı yüklemeniz istenecektir.

Hedef API

Sonraki adım, proje özelliklerinin Android Manifest bölümü altındaki Hedef API’yi doğrulamaktır. Bu ayar, Google Play’e ve Android’e Android 10 (API 29) ile uyumlu olduğunuzu bildirir. Bu özellik otomatik olarak Android 10’a ayarlanacaktır, ancak bunu doğrulamak en iyi yöntemdir.

Hedef API, Android 10 (API 29) olarak ayarlanmış Android Manifest mülk ayarlarının resmi

Ek olarak, bu bölümde, uygulamanızı hangi cihazların yükleyebileceği konusunda Google Play için bir filtre görevi gören Minimum Hedefi bulacaksınız.

AndroidX

Android 10’u (API 29) hedeflediğinizde, tamamen AndroidX kitaplıklarına geçmeyi de düşünmelisiniz. Bunlar, eski Android Destek Kitaplıklarının değiştirmeleridir ve hem Xamarin.Forms hem de Xamarin.Essentials artık Android 10’u (API 29) hedeflediğinizde AndroidX’i kullanır. Geçişle ilgili blog gönderisinin tamamını ve belgeleri okuduğunuzdan emin olun .

Daha fazla bilgi edin

Abonelikler, konum erişimi, 64 bit desteği ve daha fazlasıyla ilgili değişiklikler dahil olmak üzere dikkat edilmesi gereken birkaç başka politika güncellemesi vardır. Google Play politikaları web sitesinde Android uygulamalarına ilişkin gereksinimlerle ilgili güncel bilgileri bulabilirsiniz .

 

Kaynak : https://devblogs.microsoft.com/xamarin/android-10-requirements/  ‘dan çeviri

Yorum Yap